---
title: "Get the count of intelligent collections"
description: "Get the count of intelligent collections."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-the-count-of-intelligent-collections'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-the-count-of-intelligent-collections.md'
---
# Get the count of intelligent collections

Get the count of intelligent collections.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/smart_collections/count.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Query Parameters

* `product_id`

  string (optional)

  The unique identifier for the product. <br/>
  Maximum length：64 

* `title`

  string (optional)

  The title of the collection.<br/>
  Maximum length: 255

* `updated_at_max`

  string (optional)

  Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `updated_at_min`

  string (optional)

  Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `count`

  integer

  The count of intelligent collections.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get the count of intelligent collections"
  ],
  "description": "Get the count of intelligent collections.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "TArL1vtO",
  "parameters": [
    {
      "name": "product_id",
      "in": "query",
      "description": "The unique identifier for the product. <br/>\nMaximum length：64 ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "product_id",
        "description": "The unique identifier for the product. <br/>\nMaximum length：64 ",
        "type": "string",
        "example": "16057850264845250791280282"
      },
      "example": "16057850264845250791280282",
      "examples": {
        "Get the count of all intelligent collections": {
          "value": ""
        }
      }
    },
    {
      "name": "title",
      "in": "query",
      "description": "The title of the collection.<br/>\nMaximum length: 255",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "title",
        "description": "The title of the collection.<br/>\nMaximum length: 255",
        "type": "string",
        "example": "This is a title"
      },
      "example": "This is a title",
      "examples": {
        "Get the count of all intelligent collections": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-09-03T14:11:54+00:00"
      },
      "example": "2021-09-03T14:11:54+00:00",
      "examples": {
        "Get the count of all intelligent collections": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-09-02T14:11:54+00:00"
      },
      "example": "2021-09-02T14:11:54+00:00",
      "examples": {
        "Get the count of all intelligent collections": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "count": {
                "name": "count",
                "description": "The count of intelligent collections.",
                "type": "integer",
                "example": 100
              }
            },
            "example": {
              "count": 100
            }
          },
          "examples": {
            "Get the count of all intelligent collections": {
              "description": "Get the count of all intelligent collections.",
              "value": {
                "count": 3
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/smart_collections/count.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get the count of intelligent collections",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```